Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 644380 - <dev-util/xxdiff-4.0.1_p20170622 depends on deprecated Qt4
Summary: <dev-util/xxdiff-4.0.1_p20170622 depends on deprecated Qt4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Qt Bug Alias
URL: http://furius.ca/xxdiff/CHANGES
Whiteboard:
Keywords:
Depends on:
Blocks: qt4-removal
  Show dependency tree
 
Reported: 2018-01-12 21:37 UTC by Andreas Sturmlechner
Modified: 2018-04-12 21:42 UTC (History)
1 user (show)

See Also:
Package list:
dev-util/xxdiff-4.0.1_p20170622
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2018-01-12 21:37:26 UTC
Qt4 is dead and going away. Apparently, git master is (5.0b1 'development version') is already Qt5 based, but has not seen a release. Maybe we could package a snapshot if upstream is not making a move in the near future.
Comment 1 Sergei Trofimovich gentoo-dev 2018-01-12 23:06:08 UTC
Sounds good. I'll try to snap something.
Comment 2 Andreas Sturmlechner gentoo-dev 2018-01-16 00:59:16 UTC
Thanks for looking into it.

Debian did the same, apparently: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=875241
Comment 3 Andreas Sturmlechner gentoo-dev 2018-03-05 15:06:04 UTC
ping, any success yet?
Comment 4 Larry the Git Cow gentoo-dev 2018-03-10 11:04:41 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6c7e3acab4f3d340e7007ca2d96562ec88c4dbc0

commit 6c7e3acab4f3d340e7007ca2d96562ec88c4dbc0
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2018-03-10 10:40:32 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-03-10 11:04:35 +0000

    dev-util/xxdiff: grab 4.0.1_p20170622 qt5-compatibe snapshot, bug #644380
    
    Tarball is a snapshot of upstream tip at
    https://bitbucket.org/blais/xxdiff/commits/5e5f885dfc43559549a81c59e9e8c9525306356a
    (see ebuild comment on how to generate a tarball).
    
    Reported-by: Andreas Sturmlechner
    Closes: https://bugs.gentoo.org/644380
    Package-Manager: Portage-2.3.24, Repoman-2.3.6

 dev-util/xxdiff/Manifest                           |  1 +
 .../files/xxdiff-4.0.1_p20170622-cxx11.patch       | 11 ++++
 dev-util/xxdiff/xxdiff-4.0.1_p20170622.ebuild      | 67 ++++++++++++++++++++++
 3 files changed, 79 insertions(+)
Comment 5 Andreas Sturmlechner gentoo-dev 2018-03-17 10:51:04 UTC
$summary not solved, let's keep this open until cleanup was done.
Comment 6 Sergei Trofimovich gentoo-dev 2018-03-18 22:58:12 UTC
Let's stabilize dev-util/xxdiff-4.0.1_p20170622 fo
    amd64 x86
Comment 7 Agostino Sarubbo gentoo-dev 2018-03-20 10:02:13 UTC
amd64 stable
Comment 8 Thomas Deutschmann gentoo-dev Security 2018-04-12 20:58:19 UTC
x86 stable, closing
Comment 9 Larry the Git Cow gentoo-dev 2018-04-12 21:42:37 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8229ed70e5c6e38069ff0947a6dc093a5fcb4ed2

commit 8229ed70e5c6e38069ff0947a6dc093a5fcb4ed2
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-04-12 21:05:19 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-04-12 21:42:16 +0000

    dev-util/xxdiff: Drop old Qt4-based
    
    Bug: https://bugs.gentoo.org/644380
    Package-Manager: Portage-2.3.28, Repoman-2.3.9

 dev-util/xxdiff/Manifest                           |   2 -
 .../files/xxdiff-4.0_beta1_p20110426-bison3.patch  | 100 ---------------------
 .../files/xxdiff-4.0_beta1_p20110426-gcc47.patch   |  24 -----
 dev-util/xxdiff/xxdiff-4.0.1-r1.ebuild             |  62 -------------
 .../xxdiff/xxdiff-4.0_beta1_p20110426-r1.ebuild    |  65 --------------
 5 files changed, 253 deletions(-)}